package model

import (
	"gorm.io/gorm"
)

var _ UserGiftModel = (*customUserGiftModel)(nil)

type (
	// UserGiftModel is an interface to be customized, add more methods here,
	// and implement the added methods in customUserGiftModel.
	UserGiftModel interface {
		userGiftModel
	}

	customUserGiftModel struct {
		*defaultUserGiftModel
	}
)

// NewUserGiftModel returns a model for the database table.
func NewUserGiftModel(conn *gorm.DB) UserGiftModel {
	return &customUserGiftModel{
		defaultUserGiftModel: newUserGiftModel(conn),
	}
}
